##
##  spegla.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         spegla
Summary:      FTP Mirroring Tool
URL:          ftp://subzero.campus.luth.se/pub/spegla/
Vendor:       Jens A Nilsson
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Network
License:      BSD
Version:      1.1p4
Release:      20030103

#   package options
%option       with_ipv6  no

#   list of sources
Source0:      ftp://subzero.campus.luth.se/pub/spegla/spegla-%{version}.tar.gz
Source1:      spegla.conf
Source2:      spegla-mirror
Source3:      rc.spegla
Patch0:       spegla.patch
Patch1:       http://www.imasy.or.jp/~ume/ipv6/spegla-1.1p4-ipv6-20020129.diff.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20030103
PreReq:       OpenPKG, openpkg >= 20030103
AutoReq:      no
AutoReqProv:  no

%description
    Spegla is fast mirroring tool for the File Transfer Protocol (FTP).

%prep
    %setup -q
    %patch0 -p0
    %patch1 -p0
    cp regex/*.[ch] .

%build
    cp Makefile.linux Makefile
    %{l_shtool} subst \
        -e 's;gcc;$(CC);' \
        -e 's;^\(OBJS[  ]*=\);\1 regcomp.o regerror.o regexec.o regfree.o;' \
        Makefile
    CC="%{l_cc}"
    CFLAGS="%{l_cflags -O} -c"
%if "%{with_ipv6}" == "yes"
    DEFS="-DINET6"
%else
    DEFS=""
%endif
    LDFLAGS=""
    case "%{l_target}" in
       *-freebsd* ) DEFS="$DEFS -DFREEBSD"; LDFLAGS="$LDFLAGS -lcompat" ;;
       *-linux*   ) DEFS="$DEFS -DLINUX" ;;
       *-solaris* ) DEFS="$DEFS -DSolaris -DMTYPES-DPROGNAME=\\\"spegla\\\"" ;;
    esac
    %{l_make} %{l_mflags -O} \
        CC="$CC" CFLAGS="$CFLAGS" DEFS="$DEFS" LDFLAGS="$LDFLAGS"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/spegla \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/var/spegla/pkg
    %{l_shtool} install -c -s -m 755 \
        spegla $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 755 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE spegla-mirror} $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE spegla.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/spegla/
    %{l_shtool} install -c -m 644 \
        spegla.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.spegla} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

